Bug 24450 - DFE-570TX PCI NIC not detected
DFE-570TX PCI NIC not detected
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-20 02:32 EST by R P Herrold
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-20 22:50:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-01-20 02:32:59 EST
Sold as a D-Link DFE-570TX (4 port NIC card)

Have tried both the tulip and de4x5 modules without success; kernal
archives show Pekka Savola ( another beta tester) appears to have had one
of these cards six months ago:  
  http://lists.insecure.org/linux-kernel/2000/Jul/2810.html 


relevant part of lspci -vvx

00:0b.0 Ethernet controller: Winbond Electronics Corp W89C840
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (250ns min, 4000ns max)
        Interrupt: pin A routed to IRQ 10
        Region 0: I/O ports at ec80
        Region 1: Memory at febeff80 (32-bit, non-prefetchable)
00: 50 10 40 08 07 01 80 02 00 00 00 02 00 40 00 00
10: 81 ec 00 00 80 ff be fe 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 ff ff 53 81
30: 00 00 00 00 00 00 00 00 00 00 00 00 0a 01 01 10
Comment 1 Pekka Savola 2001-01-20 02:52:32 EST
I haven't tried my quad-porter on betas.  Six months back I realized de4x5 didn't really work 
and stock tulip had some issues too; it didn't work in forced full duplex mode.  I talked with
Don Becker with this a bit, and he fixed a bug in his drivers; 'testing' version worked.

Your card seems *way* different than mine.  I wonder if they've started to use winbond chip
on it without changing the part number or something.  I get (one for each interface):

02:04.0 Ethernet controller: Digital Equipment Corporation DECchip 21142/43 (rev 41)
        Subsystem: D-Link System Inc: Unknown device 1112
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 20 min, 40 max, 64 set, cache line size 08
        Interrupt: pin A routed to IRQ 9
        Region 0: I/O ports at d000
        Region 1: Memory at d0000000 (32-bit, non-prefetchable)
00: 11 10 19 00 07 00 80 02 41 00 00 02 08 40 00 00
10: 01 d0 00 00 00 00 00 d0 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 86 11 12 11
30: 00 00 00 00 00 00 00 00 00 00 00 00 09 01 14 28

Comment 2 Bill Nottingham 2001-01-20 22:50:07 EST
There's a winbond-840 driver in the 2.4 kernel; this will get mapped
via kudzu in 0.90. There's nothing in the driver that indicates it's
a four port card, though.
Comment 3 Bill Nottingham 2001-01-20 22:51:07 EST
Please reopen if that driver doesn't work for you.
Comment 4 R P Herrold 2001-01-21 12:36:16 EST
testing ...

Note You need to log in before you can comment on or make changes to this bug.